import type { BasicWidgetInstance, BasicWidgetProps } from '../../utils'

export interface OptionItem {
    text: string
    value: string
    [key: string]: any
}

export interface Option {
    // 标识
    key: string
    // 选项
    items: OptionItem[]
}

export interface AffixFilterProps extends BasicWidgetProps {
    // 布局方式，水平或垂直
    layout: 'horizontal' | 'vertical'
    // 选项，仅支持 Select
    option: Option
}

export interface AffixFilterInstance extends BasicWidgetInstance<AffixFilterProps> {
    /**
     * 设置选项
     * @param key 选项标识
     * @param item 选项可选 options
     */
    setOptionItem: (key: string, item: OptionItem) => void
}
